<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- Div Tag creates a container element that is use to group certain elements together -->
	
	<!-- header of our page -->
	<header>
		<h1>HTML Tables and Forms</h1>

	</header>
	
	<main>

		<section>
			
			<!-- start of the table -->

	<h2>HTML Entities</h2>
	<p><em>Reserved characters in HTML (e.g. &lt; or &gt; character that can mix up with HTML code.)</em></p>

	<!-- Defines an HTML Table -->
	<table border = 1px>
		<!-- Used to group table header content  -->
		<thead>
			<tr>
				<!-- Defines a table Header Elements -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<tbody>
		<!--  Used to ground table body content -->
			<tr>
				<!-- Defines a table data elements -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>

			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>

				
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>

				
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>

				
			</tr>
			<tr>
				<td>&quot;</td>
				<td>#8369</td>
				<td>double quatation mark</td>

				
			</tr>

			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quatation mark</td>
				</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower tilde</td>
				</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
				</tr>

		</tbody>

		<!-- Used to group table footer content -->
		<tfoot>
			<tr>
				<th colspan ="3"> List of HTML entites</th>
			</tr>
		</tfoot>



	</table>

	<br>

	<!-- end of the table -->

		</section>
		
		

	<!-- start of the form -->

	

	</section>

	<section>
		
		<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form</em></p>
	
	<!-- Creates an HTMl form to capture -->
	<form action="https://google.com">
		
		<label for="full_name">Full Name:</label> <br>
		<input type="text" name="full_name" id="full_name" required><br><br>

		<label for="birth_date">Birth Date:</label><br>
		<input type="date" name="birth_date" id="birth_date" required><br><br>

		<label for="age">Age:</label><br>
		<input type="number" name="age"><br><br>

		<label for="gender">Gender:</label><br>
		<!-- Creates a drop down -->
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
			
		</select><br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" id="notes" rows="5"></textarea><br>

		<!-- Radio Buttons -->
		<label for="">New User:</label><br>

		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="user-type1">Yes</label><br>

		<input type="radio" name="new_user" id="user-type2" value="no">
		<label for="user-type2">No</label>

		<br><br>

		<label for="checkbox">Role:</label><br>

		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="">Student</label><br>


		<input type="checkbox" name="role3" id="role3" value="student">
		<label for="">Manager</label><br>


		<br><br>



		<!-- Creates a button -->
		<button type="submit">Submit</button>

		<button type="reset">Reset</button>

	</form>

	<!-- end of the form -->
	</main>

</body>
</html>